### Method

# Adw AlertDialog add_responses

since: 1.5

#### Declaration [src]

    void
    adw_alert_dialog_add_responses (
      AdwAlertDialog* self,
      const char* first_id,
      ...
    )

#### Description [src]

Adds multiple responses to `self`.

This is the same as calling `adw_alert_dialog_add_response()` repeatedly. The variable argument list should be `NULL`-terminated list of response IDs and labels.

Example:

    adw_alert_dialog_add_responses (dialog,
                                    "cancel",  _("_Cancel"),
                                    "discard", _("_Discard"),
                                    "save",    _("_Save"),
                                    NULL);

Available since: 1.5

This method is not directly available to language bindings.

#### Parameters

`first_id`

  Type: `const char*`

  Response id.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Label for first response, then more id-label pairs.